DocumentationAPI ReferenceChangelog

Envocal API

API Reference API Changelog

Endpoints

List knowledge bases of a tenant GETCreate a knowledge base POSTDelete a knowledge base DELETERename or describe a knowledge base PUTList documents in a knowledge base GETUpload a document POSTDelete a document DELETEGet processing status of documents POST
Knowledge bases

Get processing status of documents

Delete a document DELETE

Requires knowledge:write

List phone numbers of a tenant GET

Requires phone_numbers:read

POST
/v1/tenants/{tenantId}/knowledge-bases/{kbId}/documents/status

Poll after uploading until each document's state is complete (or error).

Required permission: knowledge:read

Authorization

Bearer
headerAuthorizationBearer <token>

Tenant API key (evk_…), created in Studio → Vault → API keys.

Path Parameters

tenantId*string

Tenant id, or current for the key's own tenant. Must be the key's tenant or one of its sub-tenants.

kbId*string

Knowledge base id.

Request Body

Document ids to check.

  1. body
  1. body
  2. …

Documents to check.

ids*array<string>

Document ids (as returned by the upload).

Response Body

Status per document id.

  1. response
  1. response
  2. …
[key: string]?

Processing status of an uploaded document.

Example Request
curl -X POST 'https://api.envocal.ai/v1/tenants/string/knowledge-bases/string/documents/status' \  -H 'Content-Type: application/json' \  -d '{  "ids": [    "string"  ]}'
Example Response
{  "property1": {    "state": "processing",    "progress": 0.1,    "fileSizeBytes": 0,    "uploadedUtc": "string",    "fileName": "string",    "errorMessage": "string"  },  "property2": {    "state": "processing",    "progress": 0.1,    "fileSizeBytes": 0,    "uploadedUtc": "string",    "fileName": "string",    "errorMessage": "string"  }}
Example Request
curl -X POST 'https://api.envocal.ai/v1/tenants/string/knowledge-bases/string/documents/status' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
{
  "property1": {
    "state": "processing",
    "progress": 0.1,
    "fileSizeBytes": 0,
    "uploadedUtc": "string",
    "fileName": "string",
    "errorMessage": "string"
  },
  "property2": {
    "state": "processing",
    "progress": 0.1,
    "fileSizeBytes": 0,
    "uploadedUtc": "string",
    "fileName": "string",
    "errorMessage": "string"
  }
}